@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#> .
@prefix owl: <http://www.w3.org/2002/07/owl#> .
@prefix dcterms: <http://purl.org/dc/terms/> .
@prefix dfgfo: <https://github.com/tibonto/dfgfo/> .
@prefix schema: <http://schema.org/> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix aps: <https://w3id.org/nfdi4ing/profiles/> .

aps:8dd027b9-00d6-4b2d-9776-bbf0a4f62b8b
    a sh:NodeShape ;
    sh:node aps:bd3cdc85-7755-4fb2-9921-14f3ae780d48 ;  # RO-crate-basic/DataEntity
    owl:imports aps:bd3cdc85-7755-4fb2-9921-14f3ae780d48 ;  # RO-crate-basic/DataEntity
    dcterms:subject dfgfo:4 ;
    dcterms:title "RO-Crate Directory"@en ; 
    dcterms:description "RO-Crate Data Entities representing directories, as required by the specification at https://w3id.org/ro/crate/1.1. The term directory here includes HTTP file listings."@en ;
    dcterms:title "RO-Crate Verzeichnis"@de ; 
    dcterms:description "RO-Crate Data Entities die Verzeichnisse darstellen, wie in der Spezifikation unter https://w3id.org/ro/crate/1.1 vorgegeben. Der Begriff Verzeichnis beinhaltet hier HTTP Dateiauflistungen."@de ;
    dcterms:creator <https://orcid.org/0000-0002-6793-8533> ;
    dcterms:license <https://spdx.org/licenses/CC-BY-4.0.html> ;
    dcterms:created "2023-08-03"^^xsd:date ;
    sh:property [
        sh:name "type"@en ;
        sh:description "Type or class this entity is a member of."@en ;
        sh:path rdf:type ;
        sh:minCount 1 ;
        sh:hasValue schema:Dataset ;
    ] ;
    sh:property [
        sh:name "hasPart"@en ;
        sh:description "Directory hierarchies MAY be represented with nested Directory or Dataset Data Entities."@en ;
        sh:path schema:hasPart ;
        sh:node aps:bd3cdc85-7755-4fb2-9921-14f3ae780d48 ;  # RO-crate-basic/DataEntity
    ] .
    # owl:imports statement already included because of inheritance